Bug 969763 - Review Request: taudem - Terrain Analysis Using Digital Elevation Models
Review Request: taudem - Terrain Analysis Using Digital Elevation Models
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2013-06-02 05:12 EDT by Volker Fröhlich
Modified: 2017-09-28 14:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-28 14:45:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Volker Fröhlich 2013-06-02 05:12:03 EDT
Spec URL: http://www.geofrogger.net/review/taudem.spec
SRPM URL: http://www.geofrogger.net/review/taudem-5.2-1.fc18.src.rpm
Description:

TauDEM (Terrain Analysis Using Digital Elevation Models) is a suite of
Digital Elevation Model (DEM) tools for the extraction and analysis of
hydrologic information from topography as represented by a DEM.

Fedora Account System Username: volter

I'm not totally sure about the sub-package layout and the MPI naming suffix. There's no serial version and only one supported MPI implementation.
Comment 1 Mario Blättermann 2013-06-08 08:52:54 EDT
There are some files with different licenses:

$ licensecheck -r *
aread8.cpp: GPL (with incorrect FSF address)
aread8.h: *No copyright* UNKNOWN
aread8mn.cpp: GPL (with incorrect FSF address)
areadinf.cpp: GPL (with incorrect FSF address)
areadinf.h: *No copyright* UNKNOWN
areadinfmn.cpp: GPL (with incorrect FSF address)
commonLib.cpp: GPL (with incorrect FSF address)
commonLib.h: GPL (with incorrect FSF address)
createpart.h: GPL (with incorrect FSF address)
d8.cpp: GPL (with incorrect FSF address)
D8FlowDirmn.cpp: GPL (with incorrect FSF address)
D8flowpathextremeup.cpp: GPL (with incorrect FSF address)
D8FlowPathExtremeUpmn.cpp: GPL (with incorrect FSF address)
d8.h: *No copyright* UNKNOWN
D8HDistToStrm.cpp: GPL (with incorrect FSF address)
D8HDistToStrmmn.cpp: GPL (with incorrect FSF address)
DinfAvalanche.cpp: GPL (with incorrect FSF address)
DinfAvalanchemn.cpp: GPL (with incorrect FSF address)
DinfConcLimAccum.cpp: GPL (with incorrect FSF address)
DinfConcLimAccummn.cpp: GPL (with incorrect FSF address)
dinf.cpp: GPL (with incorrect FSF address)
dinfdecayaccum.cpp: GPL (with incorrect FSF address)
DinfDecayAccummn.cpp: GPL (with incorrect FSF address)
DinfDistDown.cpp: GPL (with incorrect FSF address)
DinfDistDown.h: *No copyright* UNKNOWN
DinfDistDownmn.cpp: GPL (with incorrect FSF address)
DinfDistUp.cpp: GPL (with incorrect FSF address)
DinfDistUp.h: *No copyright* UNKNOWN
DinfDistUpmn.cpp: GPL (with incorrect FSF address)
DinfFlowDirmn.cpp: GPL (with incorrect FSF address)
DinfRevAccum.cpp: GPL (with incorrect FSF address)
DinfRevAccummn.cpp: GPL (with incorrect FSF address)
DinfTransLimAccum.cpp: GPL (with incorrect FSF address)
DinfTransLimAccummn.cpp: GPL (with incorrect FSF address)
DinfUpDependence.cpp: GPL (with incorrect FSF address)
DinfUpDependencemn.cpp: GPL (with incorrect FSF address)
dirent.c: *No copyright* UNKNOWN
dirent.h: UNKNOWN
DropAnalysis.cpp: GPL (with incorrect FSF address)
DropAnalysis.h: *No copyright* UNKNOWN
DropAnalysismn.cpp: GPL (with incorrect FSF address)
flood.cpp: GPL (with incorrect FSF address)
flood.h: *No copyright* UNKNOWN
gridnet.cpp: GPL (with incorrect FSF address)
gridnetmn.cpp: GPL (with incorrect FSF address)
initneighbor.h: *No copyright* UNKNOWN
LengthArea.cpp: GPL (with incorrect FSF address)
LengthAreamn.cpp: GPL (with incorrect FSF address)
linearpart.h: GPL (with incorrect FSF address)
linklib.h: GPL (with incorrect FSF address)
MoveOutletsToStrm.cpp: GPL (with incorrect FSF address)
MoveOutletsToStrm.h: *No copyright* UNKNOWN
MoveOutletsToStrmmn.cpp: GPL (with incorrect FSF address)
Node.cpp: GPL (with incorrect FSF address)
Node.h: GPL (with incorrect FSF address)
partition.h: GPL (with incorrect FSF address)
PeukerDouglas.cpp: GPL (with incorrect FSF address)
PeukerDouglasmn.cpp: GPL (with incorrect FSF address)
PitRemovemn.cpp: GPL (with incorrect FSF address)
SelectGTThresholdmn.cpp: GPL (with incorrect FSF address)
selgtThreshold.cpp: GPL (with incorrect FSF address)
shape/dbf.h: MIT/X11 (BSD like)
shape/shapemain.cpp: *No copyright* UNKNOWN
shape/item.cpp: *No copyright* UNKNOWN
shape/point.h: *No copyright* UNKNOWN
shape/shape.h: *No copyright* UNKNOWN
shape/dbf.cpp: MIT/X11 (BSD like)
shape/shapeapi.h: *No copyright* UNKNOWN
shape/shp_point.h: *No copyright* UNKNOWN
shape/point.cpp: *No copyright* UNKNOWN
shape/shp_polygon.cpp: *No copyright* UNKNOWN
shape/shp_polyline.h: *No copyright* UNKNOWN
shape/shape.cpp: *No copyright* UNKNOWN
shape/types.h: *No copyright* UNKNOWN
shape/shp_point.cpp: *No copyright* UNKNOWN
shape/record.h: *No copyright* UNKNOWN
shape/item.h: *No copyright* UNKNOWN
shape/shapefile.h: *No copyright* UNKNOWN
shape/shp_polygon.h: *No copyright* UNKNOWN
shape/shapefile.cpp: *No copyright* UNKNOWN
shape/cell.cpp: *No copyright* UNKNOWN
shape/cell.h: *No copyright* UNKNOWN
shape/shp_polyline.cpp: *No copyright* UNKNOWN
shape/ReadOutlets.cpp: GPL (with incorrect FSF address)
shape/exception.cpp: *No copyright* UNKNOWN
shape/field.h: *No copyright* UNKNOWN
shape/record.cpp: *No copyright* UNKNOWN
shape/exception.h: *No copyright* UNKNOWN
shape/field.cpp: *No copyright* UNKNOWN
SlopeArea.cpp: GPL (with incorrect FSF address)
SlopeAreamn.cpp: GPL (with incorrect FSF address)
SlopeAreaRatio.cpp: GPL (with incorrect FSF address)
SlopeAreaRatiomn.cpp: GPL (with incorrect FSF address)
SlopeAveDown.cpp: GPL (with incorrect FSF address)
SlopeAveDownmn.cpp: GPL (with incorrect FSF address)
stdint.h: BSD (2 clause)
streamnet.cpp: GPL (with incorrect FSF address)
streamnet_dgt.cpp: GPL (with incorrect FSF address)
streamnet.h: *No copyright* UNKNOWN
streamnetmn.cpp: GPL (with incorrect FSF address)
tardemlib.h: GPL (with incorrect FSF address)
Threshold.cpp: GPL (with incorrect FSF address)
Thresholdmn.cpp: GPL (with incorrect FSF address)
tifFile.cpp: GPL (with incorrect FSF address)
tifFile.h: GPL (with incorrect FSF address)
tiffIO.cpp: GPL (with incorrect FSF address)
tiffIO.h: GPL (with incorrect FSF address)
tiffTest.cpp: *No copyright* UNKNOWN


Additionally to the GPLv2 we have MIT and BSD. Moreover, the tarball bundles an external library. The files src/shape/dbf.h and dbf.cpp come from shapelib, which is already in Fedora.

The base package contains no binaries? Then it should be "noarch". But the files  in -mpich2 are multiarch, aren't they. Is there a way to have the base package noarch and a subpackage arch-dependent?
Comment 2 Volker Fröhlich 2013-06-09 16:46:18 EDT
stdint.h is deleted in the prep section. It's intended for Visual Studio, but is actually no longer necessary, the author says. Future releases won't carry this file.

shapelib is written in C. As far as I get it, that's code from a small part of shapelib, ported to C++. The rest of the files in this directory I believe to belong to Taudem. Maybe I'm wrong because it's based on an ancient version of shapelib.

The base package contains no binaries, right. I think you sadly can't make the base-package alone noarch.
Comment 3 Thomas Spura 2015-01-29 17:22:47 EST
(In reply to Volker Fröhlich from comment #0)
> I'm not totally sure about the sub-package layout and the MPI naming suffix.
> There's no serial version and only one supported MPI implementation.

- Hmm, why only one supported MPI implementation? You should be able to build against openmpi also.

- mpich2 is named mpich now IIRC

  (You could take mpi4py or cp2k or so as example for MPI building packages.)

- The sources moved and there is a version 5.1.2 around. Could you update it to it?

- A quick smoke test doesn't build and fails with:
CMake Error at CMakeLists.txt:65 (add_executable):
  Cannot find source file:

    shape/cell.cpp

Note You need to log in before you can comment on or make changes to this bug.